KLA10830
Multiple vulnerabilities in Adobe Flash Player
Updated: 06/17/2019
Detect date
?
06/16/2016
Severity
?
Critical
Description

Multiple serious vulnerabilities have been found in Adobe Flash Player. Malicious users can exploit these vulnerabilities to bypass security restrictions, execute arbitrary code or obtain sensitive information.

Below is a complete list of vulnerabilities

  1. Type confusion, use-after-free, heap buffer overflow, memory corruption and improper updates resolving could be exploited to execute arbitrary code;
  2. An improper updates resolve can be exploited to bypass same-origin-policy and obtain sensitive information.

Technical details

To update Adobe Flash Player ActiveX (detected as Flash.ocx) on Windows 8 and higher, install latest updates from Control Panel

Affected products

Adobe Flash Player versions earlier than 22.0.0.192
Adobe Flash Player Extended Support Release versions earlier than 18.0.0.360
Adobe Flash Player for Linux versions earlier than 11.2.202.626

Solution

Update to the latest version
Get Adobe Flash Player

Original advisories

Adobe bulletin

Impacts
?
ACE 
[?]

OSI 
[?]

SB 
[?]
Related products
Adobe Flash Player ActiveX
Adobe Flash Player NPAPI
Adobe Flash Player PPAPI
CVE-IDS
?
CVE-2016-41217.5Critical
CVE-2016-41229.3Critical
CVE-2016-41239.3Critical
CVE-2016-41249.3Critical
CVE-2016-41259.3Critical
CVE-2016-41279.3Critical
CVE-2016-412810.0Critical
CVE-2016-41299.3Critical
CVE-2016-41309.3Critical
CVE-2016-41319.3Critical
CVE-2016-41329.3Critical
CVE-2016-41339.3Critical
CVE-2016-41349.3Critical
CVE-2016-41359.3Critical
CVE-2016-41369.3Critical
CVE-2016-41379.3Critical
CVE-2016-413810.0Critical
CVE-2016-41399.3Critical
CVE-2016-41409.3Critical
CVE-2016-41419.3Critical
CVE-2016-41429.3Critical
CVE-2016-41439.3Critical
CVE-2016-41449.3Critical
CVE-2016-41459.3Critical
CVE-2016-41469.3Critical
CVE-2016-41479.3Critical
CVE-2016-41489.3Critical
CVE-2016-41499.3Critical
CVE-2016-41509.3Critical
CVE-2016-41519.3Critical
CVE-2016-41529.3Critical
CVE-2016-41539.3Critical
CVE-2016-41549.3Critical
CVE-2016-41559.3Critical
CVE-2016-41569.3Critical
CVE-2016-416610.0Critical
CVE-2016-417110.0Critical